For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Distributions

This endpoint enables retrieving all Distributions using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.domainstring · min: 2 · max: 253Optional

filters resources by domain.

Example: example.comPattern: ^(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,63}\.?$
filter.statestring · enumOptional

filters resources by state.

Example: AVAILABLEPossible values:
Responses
200

Returned all requested Distributions successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Distribution resources.

Example: 24c578a9-361f-54d4-a326-a3f3070d5a03
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Distribution resources.

Example: /distributions
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/distributions
GET /distributions HTTP/1.1
Host: cdn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "24c578a9-361f-54d4-a326-a3f3070d5a03",
  "type": "collection",
  "href": "/distributions",
  "items": [
    {
      "id": "9ba15778-16c4-543c-8775-e52acf4853f5",
      "type": "distribution",
      "href": "/distributions/9ba15778-16c4-543c-8775-e52acf4853f5",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "publicEndpointIpv4": "1.2.3.4",
        "publicEndpointIpv6": "2001:db8::ff00:42:8329",
        "ownershipTxtFqdn": "_dep_ws_mutex.example.com",
        "ownershipTxtValue": "ddc2b9d6-3a8a-4f1a-8f8d-9a6c7e1a3b2c",
        "state": "AVAILABLE",
        "message": "In progress."
      },
      "properties": {
        "domain": "example.com",
        "certificateId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "routingRules": [
          {
            "scheme": "http/https",
            "prefix": "/api",
            "upstream": {
              "host": "server.example.com",
              "caching": true,
              "waf": true,
              "geoRestrictions": {
                "blockList": [
                  "CN",
                  "RU"
                ]
              },
              "rateLimitClass": "R1",
              "sniMode": "distribution"
            }
          }
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?